Subject: 23.1; vc-dir bug with git
From: Tom Tromey <[email-masked]>
To: [email-masked]
Date: Wed, 19 Aug 2009 15:20:32 -0600

Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the [email-masked] mailing list,
and to the gnu.emacs.bug news group.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

I ran vc-dir on a git checkout that I have.
I have some unregistered subdirectories in this checkout,
for example autom4te.cache (created by autoconf).

In the *vc-dir* buffer I see:

                         gdb/testsuite/autom4te.cache/
     unregistered        gdb/testsuite/autom4te.cache/

That is, the directory is listed twice.

This seems weird to me.  Is this intentional?
I think it should only be listed once.

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
/usr/share/emacs/23.1/etc/DEBUG for instructions.

In GNU Emacs 23.1.1 (i386-redhat-linux-gnu, GTK+ Version 2.16.5)
 of 2009-08-03 on x86-5.fedora.phx.redhat.com
Windowing system distributor `The X.Org Foundation', version 11.0.10601901
configured using `configure  '--build=i386-redhat-linux-gnu' '--host=i386-redhat-linux-gnu' '--target=i586-redhat-linux-gnu' '--program-prefix=' '--prefix=/usr' '--exec-prefix=/usr' '--bindir=/usr/bin' '--sbindir=/usr/sbin' '--sysconfdir=/etc' '--datadir=/usr/share' '--includedir=/usr/include' '--libdir=/usr/lib' '--libexecdir=/usr/libexec' '--localstatedir=/var' '--sharedstatedir=/var/lib' '--mandir=/usr/share/man' '--infodir=/usr/share/info' '--with-dbus' '--with-gif' '--with-jpeg' '--with-png' '--with-rsvg' '--with-tiff' '--with-xft' '--with-xpm' '--with-x-toolkit=gtk' 'build_alias=i386-redhat-linux-gnu' 'host_alias=i386-redhat-linux-gnu' 'target_alias=i586-redhat-linux-gnu' 'CFLAGS=-DMAIL_USE_LOCKF -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m32 -march=i586 -mtune=generic -fasynchronous-unwind-tables''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Group

Minor modes in effect:
  erc-list-mode: t
  erc-menu-mode: t
  erc-autojoin-mode: t
  erc-ring-mode: t
  erc-pcomplete-mode: t
  erc-track-mode: t
  erc-track-minor-mode: t
  erc-match-mode: t
  erc-button-mode: t
  erc-fill-mode: t
  erc-stamp-mode: t
  erc-netsplit-mode: t
  erc-spelling-mode: t
  erc-truncate-mode: t
  diff-auto-refine-mode: t
  shell-dirtrack-mode: t
  gnus-undo-mode: t
  highlight-changes-visible-mode: t
  erc-status-mode: t
  erc-services-mode: t
  erc-networks-mode: t
  erc-irccontrols-mode: t
  erc-noncommands-mode: t
  erc-move-to-prompt-mode: t
  erc-readonly-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<return> C-x o C-x 1 M-> <f10> <f10> <f10> <f10> <f10> 
<f10> <help-echo> <f10> <f10> <f10> <f10> <switch-frame> 
<help-echo> <switch-frame> " s e t SPC v a r i a b 
l e " <return> I SPC u s u a l l y SPC j u s t SPC 
u s e SPC " p r i n t " SPC s h o <M-backspace> t h 
o u g h <return> l i k e SPC <backspace> : S-SPC SPC 
p SPC x SPC = SPC 5 <return> <f10> <f10> <f10> <f10> 
<f10> <f10> <f10> <help-echo> <f10> <f10> <help-echo> 
<f10> <f10> <f10> C-c b <f10> C-c b <f10> <f10> <f10> 
<f10> <f10> <f10> <f10> <f10> C-z o C-x b * g u <tab> 
<return> q <return> y <return> C-c b C-e C-a C-p C-p 
C-k C-k C-k C-o C-n C-e M-b M-b M-b M-b <M-backspace> 
<M-backspace> TAB C-n TAB C-a C-n C-p C-p C-e C-k M-SPC 
C-n C-a C-M-SPC C-M-\ C-M-f <return> } C-a C-u C-u 
C-p C-l C-p C-p C-p C-s = C-b <return> C-a C-u C-u 
C-p C-l C-x C-s <switch-frame> <switch-frame> <switch-frame> 
<f10> <f10> <f10> <f10> <f10> <f10> <f10> <f10> <f10> 
C-c b <f10> <f10> <f10> <f10> <f10> <f10> <f10> C-z 
o C-x b * G <tab> <return> 1 g C-z o <f10> <f10> <f10> 
C-x v d <M-backspace> <M-backspace> <M-backspace> a 
r <tab> <return> C-x 1 C-u C-n C-n C-n C-n C-h c i 
C-h c I C-h w v c - i g <tab> <tab> C-g C-g C-g C-h 
c d C-u C-n C-n C-n C-n f C-v C-v C-v C-v C-v C-v C-v 
C-v C-v C-v C-x k <return> <f10> <f10> <switch-frame> 
C-z o <f10> <f10> <f10> <f10> C-z o M-x r e p o r t 
- e m <tab> <return>

Recent messages:
Wrote /home/tromey/Mail/mail/other/275197
Wrote /home/tromey/Mail/mail/other/275198
nnml: Reading incoming mail (15 new)...done
Opening nnml server on private...done
Opening nnml server...done
Checking new news...done
i runs the command vc-register
I is undefined
Quit [3 times]
d is undefined
call-interactively: End of buffer
Tom